Subject: Re: [PATCH] Explain what 'ginstall' is

From: Jakub Narebski <[email-masked]>
Date: Tue, 18 Dec 2007 09:20:38 +0100

On Tue, 18 Dec 2007, H.Merijn Brand wrote:
> On Mon, 17 Dec 2007 17:21:08 -0800 (PST), Jakub Narebski wrote:
> 
>> Andy Dougherty <[email-masked]> writes:
>> 
>>> [...].  Perhaps configure
>>> should just go looking for a suitable install program instead of
>>> assuming everyone has one.
>> 
>> First, configure is, and (I think) consensus is that it should remain
>> optional.  This means that Makefile "guess" section should have good
>> defaults for your operating system.
> 
> And what if you OS *does* have an install, but one that is completely
> useless^Wdifferent from the GNU install? Like the utterly useless
> install on HP-UX.

Then "guess" section should have INSTALL=ginstall, or something.
Or just install with

  INSTALL=/opt/bin/ginstall make install

or something like that.

>> Second, the default autoconf macro AC_PROG_INSTALL *requires* that
>> there is BSD-compatible `install' program (as 'install-sh' or
>> 'install.sh') in the sources.  Adding such script is (I think) not a
>> problem;
> 
> Yeah!
> 
>> finding minimal portable[*1*] script is.  So if you know one...
>> 
>> Footnotes:
>> ----------
>> [*1*] By "portable" I mean here 'git portable', i.e. requiring only
>> those shell constructs/features that git require, not necessary
>> insanelt portable the way ./configure script is.
> 
> Something like this? (gui part still missing). This is what I now
> use
> 
> --8<--- make-install

Errr... please read more carefully. There is need for BSD-compatibile
`install` program as 'install-sh', not 'make-install' script. The idea
is to use system-provided 'install' if it exists and is compatibile,
because it should be faster than script version, and fallback to 
provided install-sh only if system install is not found.

install-sh has to understand '-d' and '-m <mode>' switches for git 
install purposes, and probably implement all three (src dest, src dir, 
dir) formats.
-- 
Jakub Narebski
Poland